services:
  _defaults:
    autowire: true      # Automatically injects dependencies in your services.
    autoconfigure: true # Automatically registers your services as commands, event subscribers, etc.

  Lc\SovBundle\:
    resource: '../../'
    exclude:
      - '../../DependencyInjection/'
      - '../../Entity/'
      - '../../Doctrine/QueryBuilder'
      - '../../Kernel.php'
      - '../../Tests/'

  Lc\SovBundle\Controller\:
    resource: '../../Controller/'
    tags: [ 'controller.service_arguments' ]

  Lc\SovBundle\Form\Common\CrudFormType:
    decorates: EasyCorp\Bundle\EasyAdminBundle\Form\Type\CrudFormType
    arguments: [ '@form.type_guesser.doctrine', '@.inner' ]

  Lc\SovBundle\Doctrine\EntityManager:
    public: false
    decorates: doctrine.orm.default_entity_manager
    arguments: ["@.inner"]
  #   EasyCorp\Bundle\EasyAdminBundle\Form\Type\CrudFormType:
  #       class: Lc\SovBundle\Form\Type\CrudFormType

  Lc\SovBundle\Maker\:
    resource: '../../Maker/'
    tags: [ 'maker.command' ]